python-libpfm4_4.9.0-2_i386.deb


Advertisement

Description

python-libpfm4 - Python bindings for libpfm4

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-libpfm4_4.9.0-2_i386.deb
Package name python-libpfm4
Package version 4.9.0
Package release 2
Package architecture i386
Package type deb
Category universe/python
Homepage http://perfmon2.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 52.90 KB
Installed size 388.00 KB
This package allows you to write simple Python scripts that monitor
various hardware performance monitoring events. It may be more efficient
to use this approach instead of parsing the output of other tools.

Alternatives

Package Version Architecture Repository
python-libpfm4_4.9.0-2_amd64.deb 4.9.0 amd64 Ubuntu Universe
python-libpfm4 - - -

Requires

Name Value
libc6 >= 2.4
libpfm4 = 4.9.0-2
python << 2.8
python >= 2.7~
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python2.7-libpfm4 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-libpfm4_4.9.0-2_i386.deb
Source Package libpfm4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-libpfm4 deb package:
    # sudo apt-get install python-libpfm4

Files

Path
/usr/lib/python2.7/dist-packages/perfmon/__init__.py
/usr/lib/python2.7/dist-packages/perfmon/_perfmon_int.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/perfmon/perfmon_int.py
/usr/lib/python2.7/dist-packages/perfmon/pmu.py
/usr/lib/python2.7/dist-packages/perfmon/session.py
/usr/share/doc/python-libpfm4/changelog.Debian.gz
/usr/share/doc/python-libpfm4/copyright

Changelog

2018-01-25 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.9.0-2) unstable; urgency=medium
* Fix mips event name containing space: "OCP_WRITE_CACHEABLE REQUESTS".
* Fix armhf building for arm64 on 64-bit CPU.
* Set Rules-Requires-Root: no.
2018-01-09 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.9.0-1) unstable; urgency=medium
* New upstream release.
* d/copyright: Refresh copyright list from upstream git commit history.
* typos.patch: Fix some typos found by Lintian.
* Switch to Priority: optional.
* Bump Standards-Version to 4.1.3.
* Switch to debhelper compat level 11.
* Switch from dh_install --list-missing to dh_missing.
2017-05-02 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.8.0+git16-g8385268-1) unstable; urgency=medium
* New upstream GIT snapshot.
* Upload to unstable.
2017-04-11 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.8.0+git14-g71a960d-1) experimental; urgency=medium
* New upstream GIT snapshot, reverting an unintended ABI change.
(Closes: #859524)
* Drop patches that were merged upstream.
* Add proposed s390x patch from William Cohen.
* Add Breaks against libpapi5 (<< 5.5.1-2~), pcp (<< 3.11.10~) that may have
been built against the incompatible ABI.
* Remove PIE workarounds, this now works out-of-the-box.
* Upload to experimental.
2017-03-11 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.8.0-2) unstable; urgency=medium
[ Andreas Beckmann ]
* Cherry-pick event fixes, event additions and RAPL support for newer CPUs.
[ Dimitri John Ledkov ]
* Execute validation tests at build time. LP: #1521969
2016-11-07 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.8.0-1) unstable; urgency=medium
* New upstream release.
* typos.patch: Fix some more typos.
2016-10-07 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.7.0+git30-gd422ba2-2) unstable; urgency=medium
* PIE.patch: New, -fPIC needs to override -fPIE.
* Build with PIE enabled.
2016-09-19 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.7.0+git30-gd422ba2-1) unstable; urgency=medium
* New upstream GIT snapshot.
* Overhaul buildflags usage and enable more hardening.
* Fix i386 (cross-)build with x86_64 uname.
* typos.patch: Fix some more typos.
2016-05-28 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.7.0+git11-gbfb9baf-1) unstable; urgency=medium
* New upstream GIT snapshot.
* Simplify symbols file. The library no longer exposes (arch-specific)
private symbols.
* Bump Standards-Version to 3.9.8. No changes needed.
2016-02-25 - Andreas Beckmann <anbe@debian.org>
libpfm4 (4.7.0-4) unstable; urgency=medium
* Cherry-pick umask encoding fixes.
* use-LDFLAGS-when-linking.patch: Remove, fixed upstream.
* typos.patch: Fix some more typos.

See Also

Package Description
python-libproxy_0.4.15-1_all.deb automatic proxy configuration management library (Python 2)
python-libqcow_20170222-3_i386.deb QEMU Copy-On-Write image format access library -- Python 2 bindings
python-libravatar_1.7-2_all.deb Libravatar module for Python 2
python-librdf_1.0.17.1+dfsg-1.3build4_i386.deb Python language bindings for the Redland RDF library
python-libregf_20170130-2_i386.deb Windows NT Registry File (REGF) format access library -- Python 2 bindings
python-librtmp_0.3.0-1build1_i386.deb librtmp binding for Python 2
python-libsass_0.12.3-2ubuntu4_i386.deb SASS for Python: a straightforward binding of libsass for Python
python-libscca_20170205-2_i386.deb Windows Prefetch File access library -- Python 2 bindings
python-libsigscan_20170124-2_i386.deb binary signature scanning library -- Python 2 bindings
python-libsmdev_20171112-1_i386.deb storage media device access library -- Python 2 bindings
python-libsmraw_20180123-1_i386.deb split RAW image format access library -- Python 2 bindings
python-libssh2_1.0.0-1.2_i386.deb Python binding for libssh2 library
python-libsss-nss-idmap_1.16.1-1ubuntu1_i386.deb Python bindings for the SID lookups library
python-libsvm_3.21+ds-1.1_all.deb Python interface for support vector machine library
python-libtcod_1.6.4+dfsg-2_all.deb Python bindings for the libtcod library
Advertisement
Advertisement